Skip to main content
GET
/
api
/
quote
List Quotes
curl --request GET \
  --url https://qwoty.app/api/quote \
  --header 'Authorization: <authorization>'
{
  "success": true,
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "project_number": "Q-2026-001",
      "title": "Enterprise Plan",
      "status": "draft",
      "updated_at": "2026-03-09T10:30:00Z"
    }
  ]
}

Authorization

Authorization
string
required
Bearer token for authentication. Format: Bearer qwoty_your_token

Examples

curl https://qwoty.app/api/quote \
  -H "Authorization: Bearer qwoty_your_token"

Response

success
boolean
Indicates if the request was successful
data
array
Array of quote summaries
{
  "success": true,
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "project_number": "Q-2026-001",
      "title": "Enterprise Plan",
      "status": "draft",
      "updated_at": "2026-03-09T10:30:00Z"
    }
  ]
}

Error Responses

{
  "success": false,
  "error": "Invalid API token"
}